apiVersion: traefik.containo.us/v1alpha1
kind: Middleware
metadata:
  namespace: traefik
  name: traefik-forward-auth-cluster-infra
  annotations:
    "helm.sh/hook": post-install,post-upgrade,post-rollback
spec:
  forwardAuth:
    address: http://traefik-forward-auth-cluster-infra:4181
    authResponseHeaders:
      - X-Forwarded-User